shithub: mc

Download patch

ref: f8be9d56ee4c744995d00a25f353e72d9fe95a4c
parent: 5818bcb7a0fb78af6a4c2816a72db5b1381e9cac
author: Ori Bernstein <ori@eigenstate.org>
date: Wed Feb 25 08:30:54 EST 2015

Make runtest.sh exit with failure if the tests fail.

    This means we can chain together testsuites better.

--- a/test/runtest.sh
+++ b/test/runtest.sh
@@ -101,4 +101,5 @@
     echo "SUCCESS"
 else
     echo "FAILURES ($NFAILED): $FAILED"
+    exit 1
 fi